> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rallyuxr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search properties by name or value



## OpenAPI

````yaml https://api.rallyuxr.com/api/openapi post /properties/search
openapi: 3.1.0
info:
  title: Rally UXR Developer Docs
  version: '1.0'
servers:
  - url: https://api.rallyuxr.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Forms
    description: Operations on Forms in your workspace
  - name: People
    description: Operations on Person's stored in your workspace
  - name: Person Properties
    description: Operations on workspace level Person Properties
  - name: Populations
    description: Operations on Populations in your workspace
  - name: Segments
    description: Operations on Segments in your workspace
  - name: Studies
    description: Operations on Studies in your workspace
  - name: Participants
    description: Operations on Participants in studies
  - name: Screener
    description: Operations on a study's screener
  - name: Consent Submissions
    description: Operations on Consent Submissions for studies
  - name: Incentives
    description: Operations on Incentives in your workspace
  - name: Messages
    description: Operations on Message activities in your workspace
  - name: Imports
    description: Operations on Imports in your workspace
  - name: Users
    description: Operations on Workspace Users
  - name: Teams
    description: Operations on Teams in your workspace
  - name: Backfills
    description: >-
      Routes that can be used to backfill data into Rally. If you'd like access
      to these apis, please reach out to your Customer Success rep
  - name: Person
    description: Deprecated, use People
paths:
  /properties/search:
    post:
      tags:
        - Person Properties
      summary: Search properties by name or value
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PropertySearchRequest'
      responses:
        '200':
          description: The matching properties
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/PropertySearchResult'
                  total:
                    type: number
                    exclusiveMinimum: 0
                    description: >-
                      The total number of items in your workspaces based on your
                      search parameters
                  pageInfo:
                    $ref: '#/components/schemas/PageInfoResponse'
                required:
                  - results
                  - total
                  - pageInfo
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '401':
          description: Unauthorized
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Unauthorized
        '403':
          description: Forbidden
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Forbidden
        '429':
          description: Too Many Requests
          headers:
            Retry-After:
              $ref: '#/components/headers/Retry-After'
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Too Many Requests
        '500':
          description: Internal Server Error
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    PropertySearchRequest:
      type: object
      properties:
        searchQuery:
          type: string
          minLength: 1
          description: Text to search for across property names and values
          example: consent
        propertyType:
          allOf:
            - $ref: '#/components/schemas/PropertyType'
            - description: Filter results by property type
        populationId:
          type: string
          minLength: 1
          description: Filter results by population id
        propertyGroupId:
          type: string
          minLength: 1
          description: Filter results by property group id
        pageInfo:
          $ref: '#/components/schemas/PageInfoArgs'
      description: Search for properties in the workspace
    PropertySearchResult:
      type: object
      properties:
        propertyId:
          type: string
          description: The unique identifier of the property
        name:
          type: string
          description: The name of the property
        propertyType:
          $ref: '#/components/schemas/PropertyType'
        description:
          type:
            - string
            - 'null'
          description: The description of the property
        propertyGroupId:
          type:
            - string
            - 'null'
          description: >-
            The identifier of the property group this property belongs to. A
            property group is a collection of properties that apply to either
            all people in the workspace or a specific set of populations.
        propertyOptions:
          type: array
          items:
            $ref: '#/components/schemas/PersonPropertyOption'
          description: >-
            Options for a `SINGLE_SELECT` or `MULTI_SELECT` property. Empty for
            other property types.
      required:
        - propertyId
        - name
        - propertyType
        - description
        - propertyGroupId
        - propertyOptions
      description: A property returned by search
    PageInfoResponse:
      type: object
      properties:
        hasNextPage:
          type: boolean
          description: Whether there are additional pages of results
        hasPreviousPage:
          type: boolean
          description: Whether there is a prior page of results
        startCursor:
          type: string
          description: The start of the current page of results
        endCursor:
          type: string
          description: The end of the current page of results. Use to fetch the next page
      required:
        - hasNextPage
        - hasPreviousPage
      description: Information about the current page
    BadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
      required:
        - errors
      description: Error response for a bad request with details on what was invalid
    PropertyType:
      type: string
      enum:
        - STRING
        - NUMBER
        - DATETIME
        - BOOLEAN
        - SINGLE_SELECT
        - MULTI_SELECT
        - LOCATION
      description: The type of the property
      example: SINGLE_SELECT
    PageInfoArgs:
      type: object
      properties:
        startCursor:
          type: string
          description: The cursor to start from
        size:
          type: number
          exclusiveMinimum: 0
          maximum: 1000
          default: 25
          description: The number of items to return
          example: 10
      description: >-
        Pagination arguments. Use startCursor from the result of the endCursor
        of the response to get the next page. Pagination in reverse is not
        currently supported
      example:
        size: 10
    PersonPropertyOption:
      type: object
      properties:
        propertyOptionId:
          type: string
        name:
          type: string
          description: The name of the option
        color:
          $ref: '#/components/schemas/PersonPropertyOptionColor'
        order:
          type: string
          description: >-
            The order of the option. Sorted by this string value, ie: it can be
            a number
          examples:
            - '1'
            - a
            - A
          example: '1'
      required:
        - propertyOptionId
        - name
        - color
        - order
      description: An individual person property option
    PersonPropertyOptionColor:
      type: string
      enum:
        - GREY
        - YELLOW
        - BLUE
        - RED
        - GREEN
        - ORANGE
      description: The color of the option shown in the UI
  headers:
    X-RateLimit-Limit:
      description: The maximum number of requests the client is allowed to make.
      schema:
        type: integer
        format: int32
    X-RateLimit-Remaining:
      description: >-
        The number of requests remaining for the client in the current time
        window.
      schema:
        type: integer
        format: int32
    X-RateLimit-Reset:
      description: >-
        The time at which the current time window ends (in Unix timestamp
        format).
      schema:
        type: integer
        format: int32
    Retry-After:
      description: The number of seconds until the client should retry the request.
      schema:
        type: integer
        format: int32
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````